/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import ClayColorPicker from '@clayui/color-picker';
import React, {useState} from 'react';

function normalizeColor(color) {
	return color.startsWith('#') ? color.substring(1) : color;
}

const ColorPicker = ({color, label, name}) => {
	const [colorValue, setColorValue] = useState(normalizeColor(color));

	return (
		<div className="form-group">
			<input name={name} type="hidden" value={`#${colorValue}`} />

			<ClayColorPicker
				label={label}
				name={`${name}ColorPicker`}
				onValueChange={setColorValue}
				showHex={true}
				title={label}
				value={colorValue}
			/>
		</div>
	);
};

export default ColorPicker;
